YUI AS Component Documentation |
Class AxisEvent

Package | com.yahoo.astra.fl.charts.events
Class | public class AxisEvent
Inheritance | AxisEvent flash.events.Event

Events related to the Axis in a chart.

Public Methods

| Method | Defined by
--- | --- | ---
|  | AxisEvent(type:String) Constructor. | AxisEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | AXIS_FAILED : String = "axisFailed" [static] Defines the value of `type` property of an `axisFailed` event object. | AxisEvent
|  | AXIS_READY : String = "axisReady" [static] Defines the value of `type` property of an `axisReady` event object. | AxisEvent

Constructor detail

AxisEvent | () | constructor

`public function AxisEvent(type:String)`

Constructor.

Parameters

| `type:String`

Constant detail

AXIS_FAILED | constant

`public static const AXIS_FAILED:String = "axisFailed"`

Defines the value of `type` property of an `axisFailed` event object.

AXIS_READY | constant |

`public static const AXIS_READY:String = "axisReady"`

Defines the value of `type` property of an `axisReady` event object.